Stocks

A stock represents a publicly traded listing for a bank. Each stock belongs to a market and may be the bank's primary listing or a secondary listing on another exchange.

The stock model

The stock model contains identifying information for a stock listing, including its ticker symbol, primary-listing flag, market, and the bank it belongs to.

Properties

    Name
    id
    Type
    string
    Description

    The stock's auto-generated unique identifier.

    Name
    symbol
    Type
    string
    Description

    The symbol of the stock.

    Name
    isPrimary
    Type
    boolean
    Description

    Whether the stock is the primary stock of the bank.

    Name
    marketId
    Type
    string
    Description

    The ID of the market this stock belongs to.

    Name
    bankId
    Type
    string
    Description

    The ID of the bank this stock belongs to.

    Name
    createdAt
    Type
    string
    Description

    The date and time the stock was created in Moon Banking.

    Name
    updatedAt
    Type
    string
    Description

    The date and time the stock was last updated in Moon Banking.

    Name
    market
    Type
    object
    Description

    The market model contains identifying information for a market, including its name, code, type, and the country it belongs to.

    Name
    bank
    Type
    object
    Description

    The bank this stock listing belongs to.


GET/stocks

GET /stocks

This endpoint allows you to retrieve a paginated list of stock listings. You can search by ticker symbol, filter by exact symbol, market, bank, or primary-listing status, and sort the results.

Optional parameters

    Name
    limit
    Type
    integer
    Constraints
    min1max100
    Default
    default10
    Description

    Number of items to return.

    Name
    starting_after
    Type
    string
    Description

    Cursor for forward pagination. Use the id of the last item from the previous page to get the next page.

    Name
    ending_before
    Type
    string
    Description

    Cursor for backward pagination. Use the id of the first item from the current page to get the previous page.

    Name
    search
    Type
    string
    Description

    Search stocks by ticker symbol.

    Name
    symbol
    Type
    string
    Description

    Filter by exact ticker symbol (case sensitive).

    Name
    marketId
    Type
    string
    Description

    Filter by the id of the market this stock trades on.

    Name
    bankId
    Type
    string
    Description

    Filter by the id of the bank this stock belongs to.

    Name
    isPrimary
    Type
    boolean
    Description

    Filter by whether the listing is the bank's primary stock.

    Name
    sortBy
    Type
    enum
    Default
    default"symbol"
    Description

    Field to sort by.

    Possible values: symbol, createdAt

    Name
    sortOrder
    Type
    enum
    Default
    default"asc"
    Description

    Sort order. Either ascending or descending.

    Possible values: asc, desc

    Name
    include
    Type
    string
    Description

    An optional comma-separated list of fields to include in the response. Possible values: market, bank

Request

GET
/stocks
curl -G https://api.moonbanking.com/v1/stocks \
  -H "Authorization: Bearer {your_api_key}" \
  -H "Moon-Banking-Version: 2025-07-11" \
  --data-urlencode "limit=20" \
  --data-urlencode "starting_after=8HsY5nBc7jAqM4u" \
  --data-urlencode "ending_before=6jkxE4N8gHXgDPK" \
  --data-urlencode "search=JPM" \
  --data-urlencode "symbol=JPM" \
  --data-urlencode "marketId=5bKqNzTx8mLrW3v" \
  --data-urlencode "bankId=6jkxE4N8gHXgDPK" \
  --data-urlencode "isPrimary=true" \
  --data-urlencode "sortBy=symbol" \
  --data-urlencode "sortOrder=asc" \
  --data-urlencode "include=market%2Cbank"

Response

{
  "success": true,
  "data": [
    {
      "id": "5bKqNzTx8mLrW3v",
      "symbol": "BAC",
      "isPrimary": false,
      "marketId": "5bKqNzTx8mLrW3v",
      "bankId": "6jkxE4N8gHXgDPK",
      "createdAt": "2024-01-15T10:30:00.000Z",
      "updatedAt": "2024-01-15T10:30:00.000Z",
      "market": {
        "id": "5bKqNzTx8mLrW3v",
        "name": "New York Stock Exchange",
        "code": "NYSE",
        "tvCode": "NYSE",
        "isTvEmbeddable": true,
        "type": "STOCK",
        "countryId": "5bKqNzTx8mLrW3v",
        "createdAt": "2024-01-15T10:30:00.000Z",
        "updatedAt": "2024-01-15T10:30:00.000Z"
      },
      "bank": {
        "id": "6jkxE4N8gHXgDPK",
        "name": "Fidelity",
        "url": "https://www.fidelity.com",
        "rank": 1,
        "countryRank": 1,
        "countryId": "454hfjsjuusbf"
      }
    },
    ...
  ],
  "pagination": {
    "hasMore": true,
    "limit": 20,
    "nextCursor": "8HsY5nBc7jAqM4u",
    "previousCursor": "6jkxE4N8gHXgDPK",
    "meta": {
      "total": 42
    }
  },
  "message": "Sample message",
  "timestamp": "2026-04-09T00:39:30.636Z",
  "version": "2025-07-11"
}

GET/stocks/:id

GET /stocks/:id

This endpoint allows you to retrieve a specific stock listing by providing the stock id. You can optionally include the associated market and/or bank as nested objects.

Required parameters

    Name
    id
    Type
    string
    Description

    The stock's auto-generated unique identifier.

Optional parameters

    Name
    include
    Type
    string
    Description

    An optional comma-separated list of fields to include in the response. Possible values: market, bank

Request

GET
/stocks/:id
curl -G https://api.moonbanking.com/v1/stocks/5bKqNzTx8mLrW3v \
  -H "Authorization: Bearer {your_api_key}" \
  -H "Moon-Banking-Version: 2025-07-11" \
  --data-urlencode "include=market%2Cbank"

Response

{
  "success": true,
  "data": {
    "id": "5bKqNzTx8mLrW3v",
    "symbol": "BAC",
    "isPrimary": false,
    "marketId": "5bKqNzTx8mLrW3v",
    "bankId": "6jkxE4N8gHXgDPK",
    "createdAt": "2024-01-15T10:30:00.000Z",
    "updatedAt": "2024-01-15T10:30:00.000Z",
    "market": {
      "id": "5bKqNzTx8mLrW3v",
      "name": "New York Stock Exchange",
      "code": "NYSE",
      "tvCode": "NYSE",
      "isTvEmbeddable": true,
      "type": "STOCK",
      "countryId": "5bKqNzTx8mLrW3v",
      "createdAt": "2024-01-15T10:30:00.000Z",
      "updatedAt": "2024-01-15T10:30:00.000Z"
    },
    "bank": {
      "id": "6jkxE4N8gHXgDPK",
      "name": "Fidelity",
      "url": "https://www.fidelity.com",
      "rank": 1,
      "countryRank": 1,
      "countryId": "454hfjsjuusbf"
    }
  },
  "message": "Sample message",
  "timestamp": "2026-04-09T00:39:30.636Z",
  "version": "2025-07-11"
}

Was this page helpful?